# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize /usr/bin/gtkdocize pkgconfig(gladeui-1.0) pkgconfig(gobject-2.0) pkgconfig(gthread-2.0) pkgconfig(gtk+-2.0)
# END SourceDeps(oneline)
# %name or %version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name jana
%define version 0.4.5
# Tarfile created using git
# git clone git://git.gnome.org/jana
# git archive --format=tar --prefix=jana-0.4.5/ %{git_version} | bzip2 > jana-0.4.5-20100520.tar.bz2

%define gitdate 20100520
%define git_version acd72f2
%define tarfile %{name}-%{version}-%{gitdate}.tar.bz2
%define snapshot %{gitdate}git%{git_version}

Name:          jana
Version:       0.4.5
Release:       alt1_0.30.%{snapshot}
Summary:       An interface library for time-related PIM

Group:         System/Libraries
License:       LGPLv2
URL:           http://git.gnome.org/cgit/jana/
Source0:       %{tarfile}
Patch1:        jana.patch
Patch2:        jana-0.4.5-eds.patch

BuildRequires: evolution-data-server-devel
BuildRequires: libgtk+3-devel
BuildRequires: libGConf-devel
BuildRequires: gtk-doc
BuildRequires: intltool

# Require these because we're using a git snapshot
BuildRequires: libtool
BuildRequires: gnome-common
Source44: import.info

%description
An interface library for time-related personal information management related
data.

%package devel
Summary: Development package for %{name}
Group: Development/C
Requires: %{name} = %{version}-%{release}

%description devel
Files for development with %{name}.

%prep
%setup -q
%patch1 -p1 -b .gtk3
%patch2 -p1 -b .eds

%build
# Don't run configure from autogen.sh
sed -i 's|echo|exit 0|g' autogen.sh
./autogen.sh

%configure --disable-static --enable-gtk-doc 
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
rm -rf %{buildroot}/%{_libdir}/*.la

%files
%doc COPYING
%{_libdir}/libjana*.so.0.0.0
%{_libdir}/libjana*.so.0
%{_datadir}/jana

%files devel
%{_includedir}/jana
%{_libdir}/pkgconfig/libjana*pc
%{_libdir}/libjana.so
%{_libdir}/libjana-ecal.so
%{_libdir}/libjana-gtk.so
%{_datadir}/gtk-doc/html/libjana-ecal
%{_datadir}/gtk-doc/html/libjana-gtk
%{_datadir}/gtk-doc/html/libjana

%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.5-alt1_0.30.20100520gitacd72f2
- update to new release by fcimport

* Thu Jan 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.5-alt1_0.29.20100520gitacd72f2
- initial fc import

